com.pixelmed.dicom

## Class InformationEntity

- java.lang.Object
- - com.pixelmed.dicom.InformationEntity

All Implemented Interfaces:
  java.lang.Comparable

    public class InformationEntity
    extends java.lang.Object
    implements java.lang.Comparable

A class to provide enumerated constants for the entities of the DICOM Information Model.

Used to categorize attributes in the `DicomDictionary` and in the `com.pixelmed.database` package.

### Field Summary

Fields
`static InformationEntity` `CONCATENATION`
`static InformationEntity` `FRAME`
`static InformationEntity` `INSTANCE`
`static InformationEntity` `PATIENT`
`static InformationEntity` `PROCEDURESTEP`
`static InformationEntity` `SERIES`
`static InformationEntity` `STUDY`

### Method Summary

Methods
`int` `compareTo(java.lang.Object ie)` Is this information entity higher in the model than the specified information entity ?
`static InformationEntity` `fromString(java.lang.String name)` Get the information entity corresponding to the string name
`int` `getValue()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PATIENT

    public static InformationEntity PATIENT

#### STUDY

    public static InformationEntity STUDY

#### PROCEDURESTEP

    public static InformationEntity PROCEDURESTEP

#### SERIES

    public static InformationEntity SERIES

#### CONCATENATION

    public static InformationEntity CONCATENATION

#### INSTANCE

    public static InformationEntity INSTANCE

#### FRAME

    public static InformationEntity FRAME

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### fromString

    public static InformationEntity fromString(java.lang.String name)

Get the information entity corresponding to the string name

Parameters:
  `name` - a String name, whose case is ignored
Returns:
  the information entity if any, otherwise null

#### getValue

    public int getValue()

#### compareTo

    public int compareTo(java.lang.Object ie)

Is this information entity higher in the model than the specified information entity ?

Specified by:
  `compareTo` in interface `java.lang.Comparable`
Parameters:
  `ie` - the information entity with which to compare
Returns:
  a -ve value if this information entity higher in the model than the specified information entity